package com.zcxk.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.dto.CameraDto;
import com.zcxk.entity.CameraManage;

import java.util.List;

/**
 * (CameraManage)表服务接口
 *
 * @author makejava
 * @since 2020-11-26 10:25:13
 */
public interface CameraManageService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    CameraManage selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<CameraManage> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param cameraManage 实例对象
     * @return 对象列表
     */
    List<CameraManage> selectList(CameraManage cameraManage);

    /**
     * 新增数据
     *
     * @param cameraManage 实例对象
     * @return 影响行数
     */
    int insert(CameraManage cameraManage);

    /**
     * 批量新增
     *
     * @param cameraManages 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(List<CameraManage> cameraManages);

    /**
     * 修改数据
     *
     * @param cameraManage 实例对象
     * @return 修改
     */
    int update(CameraManage cameraManage);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    IPage<CameraManage> selectPage(CameraManage cameraManage, IPage<CameraManage> page);

    IPage<CameraManage> appSelectPage(CameraManage cameraManage, IPage<CameraManage> page);

    int deleteAll(List<Integer> ids);

    List<CameraDto> getCameraTree(Long typeId);

    List<CameraManage> getAllCameras(Integer id);
}